using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models.Composites.Library {
  public class LibraryStaff {
    /* A unique alphanumeric code assigned to a staff. */
    public string staffUniqueId { get; set; }

    /* A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change. */
    public string firstName { get; set; }

    /* A secondary name given to an individual at birth, baptism, or during another naming ceremony. */
    public string middleName { get; set; }

    /* The name borne in common by members of a family. */
    public string lastSurname { get; set; }

    /* A person''s gender. */
    public string sexType { get; set; }

    /* The month, day, and year on which an individual was born. */
    public DateTime? birthDate { get; set; }

    /* An unordered collection of staffOtherNames.   */
    public List<LibraryStaff_staffOtherName> otherNames { get; set; }

    /* An unordered collection of staffAddresses.   */
    public List<LibraryStaff_staffAddress> addresses { get; set; }

    /* An unordered collection of staffElectronicMails.   */
    public List<LibraryStaff_staffElectronicMail> electronicMails { get; set; }

    /* An unordered collection of staffTelephones.   */
    public List<LibraryStaff_staffTelephone> telephones { get; set; }

    /* An unordered collection of staffEducationOrganizationEmploymentAssociations.   */
    public List<LibraryStaff_staffEducationOrganizationEmploymentAssociation> schools { get; set; }

    /* An unordered collection of staffLibraryServices.   */
    public List<LibraryStaff_staffLibraryService> staffLibraryServices { get; set; }

    }
}
