using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models.Composites.Transportation {
  public class TransportationStudent {
    /* A unique alphanumeric code assigned to a student. */
    public string studentUniqueId { get; set; }

    /* A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change. */
    public string firstName { get; set; }

    /* A secondary name given to an individual at birth, baptism, or during another naming ceremony. */
    public string middleName { get; set; }

    /* The name borne in common by members of a family. */
    public string lastSurname { get; set; }

    /* A person''s gender. */
    public string sexType { get; set; }

    /* The month, day, and year on which an individual was born. */
    public DateTime? birthDate { get; set; }

    /* Medical Notes */
    public string medicalNotes { get; set; }

    /* An unordered collection of studentOtherNames.   */
    public List<TransportationStudent_studentOtherName> otherNames { get; set; }

    /* An unordered collection of studentAddresses.   */
    public List<TransportationStudent_studentAddress> addresses { get; set; }

    /* An unordered collection of studentIdentificationCodes.   */
    public List<TransportationStudent_studentIdentificationCode> identificationCodes { get; set; }

    /* An unordered collection of studentElectronicMails.   */
    public List<TransportationStudent_studentElectronicMail> electronicMails { get; set; }

    /* An unordered collection of studentTelephones.   */
    public List<TransportationStudent_studentTelephone> telephones { get; set; }

    /* An unordered collection of studentSchoolAssociations.   */
    public List<TransportationStudent_studentSchoolAssociation> schools { get; set; }

    /* An unordered collection of studentTransportations.   */
    public List<TransportationStudent_studentTransporation> studentTransportations { get; set; }

    /* An unordered collection of studentParentAssociations.   */
    public List<TransportationStudent_studentParentAssociation> parents { get; set; }
    }
}
