using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class CommunityProviderLicense {
    /* The name of the licensing organization. */
    public string licensingOrganization { get; set; }

    /* The date this license became effective. */
    public DateTime? licenseEffectiveDate { get; set; }

    /* The date in which this license expires. */
    public DateTime? licenseExpirationDate { get; set; }

    /* The first date a license of the given type was assigned to the community provider. */
    public DateTime? initialLicenseDate { get; set; }

    /* A reference to the status of the community provider's license. */
    public string licenseStatusDescriptor { get; set; }

    /* The number of fatalities that had occurred at the provider  as of the date this license was issued. */
    public int? numberOfFatalities { get; set; }

    /* The number of injuries that had occurred at this provider as of the date this license was issued. */
    public int? numberOfInjuries { get; set; }

    /* The maximum number of students permitted to attend this provider at any given time.  */
    public int? stateLicensedFacilityCapacity { get; set; }

    /* The youngest age of children a provider is authorized or licensed to serve. */
    public int? youngestAgeAuthorizedToServe { get; set; }

    /* The oldest age of children a provider is authorized or licensed to serve. */
    public int? oldestAgeAuthorizedToServe { get; set; }

    }
}
