using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class CourseOfferingReference {
    /* The local code assigned by the LEA that identifies the organization of subject matter and related learning experiences provided for the instruction of students. */
    public string localCourseCode { get; set; }

    /* School Identity Column   */
    public int? schoolId { get; set; }

    /* The identifier for the school year. */
    public int? schoolYear { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string termDescriptor { get; set; }

    /* Represents a hyperlink to the related courseOffering resource. */
    public Link link { get; set; }

    }
}
