using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class PostSecondaryEventPostSecondaryInstitution {
    /* The full, legally accepted name of the institution. */
    public string nameOfInstitution { get; set; }

    /* A unique number or alphanumeric code assigned to the postsecondary organization. */
    public string postSecondaryInstitutionId { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string postSecondaryInstitutionLevelType { get; set; }

    /* Key for AdministrationFundingControl */
    public string administrativeFundingControlDescriptor { get; set; }

    /* An unordered collection of postSecondaryEventPostSecondaryInstitutionIdentificationCodes.  A unique number or alphanumeric code assigned to an education organization by a school, school system, state or other agency or entity. */
    public List<PostSecondaryEventPostSecondaryInstitutionIdentificationCode> identificationCodes { get; set; }

    /* An unordered collection of postSecondaryEventPostSecondaryInstitutionMediumOfInstructions.  The categories in which an institution serves the students. */
    public List<PostSecondaryEventPostSecondaryInstitutionMediumOfInstruction> mediumOfInstructions { get; set; }

    }
}
