using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class StudentClassGroupAssociation {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related ClassGroup resource. */
    public ClassGroupReference classGroupReference { get; set; }

    /* A reference to the related Student resource. */
    public StudentReference studentReference { get; set; }

    /* The month, day, and year on which the student began participating in a class/group. */
    public DateTime? beginDate { get; set; }

    /* The month, day, and year on which the student stopped participating in a class/group.   */
    public DateTime? endDate { get; set; }

    /* The reason the student stopped participating in a class/group.   */
    public string reasonExitedDescriptor { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
