using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class StudentClassGroupAttendanceEvent {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related ClassGroup resource. */
    public ClassGroupReference classGroupReference { get; set; }

    /* A reference to the related Student resource. */
    public StudentReference studentReference { get; set; }

    /* The date the attendance event occurred. */
    public DateTime? eventDate { get; set; }

    /* Key for Attendance Event Category. */
    public string attendanceEventCategoryDescriptor { get; set; }

    /* The reason for the attendance event. */
    public string attendanceEventReason { get; set; }

    /* Key for EducationalEnvironment */
    public string educationalEnvironmentType { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
