using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class StudentDisability {
    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string disabilityDescriptor { get; set; }

    /* A description of the disability diagnosis. */
    public string disabilityDiagnosis { get; set; }

    /* The order by severity of student's disabilities: 1- Primary, 2 - Secondary, 3 - Tertiary, etc. */
    public int? orderOfDisability { get; set; }

    /* Key for Disability Determination Source Type */
    public string disabilityDeterminationSourceType { get; set; }

    }
}
