using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class StudentIndicator {
    /* The name of the Indicator, indicator group, or metric computed for the student (e.g., at risk) to influence more effective education or direct specific interventions. */
    public string indicatorName { get; set; }

    /* Indicator or metric computed for the student (e.g., at risk) to influence more effective education or direct specific interventions. */
    public string indicator { get; set; }

    /* The name for a group of indicators. */
    public string indicatorGroup { get; set; }

    /* The date when the indicator was assigned or computed. */
    public DateTime? beginDate { get; set; }

    /* The date the indicator or metric was sunset or removed. */
    public DateTime? endDate { get; set; }

    /* The person, organization, or department that made a student designation. */
    public string designatedBy { get; set; }

    }
}
